Gnucash 2.4.10

Make requests for packages to be added to the MEPIS Community's Repository.
Message
Author
User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 15219
Joined: Wed Jul 19, 2006 6:13 am

Gnucash 2.4.10

#1 Postby Jerry3904 » Thu May 03, 2012 7:36 am

Does anybody have time and interest to update the CR version? I tried to install the package for Ubuntu 12.04, but got an error message--and can't fool around with this as it is my business software.

TIA
Production: 4.2.0-0.bpo.1-amd64, MX-15 RC1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 3.16-0-4-686-pae. MX-15, AMD C-60 APU, 4 GB

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 11213
Age: 57
Joined: Fri Dec 15, 2006 8:07 pm

Re: Gnucash 2.4.10

#2 Postby Stevo » Fri May 04, 2012 9:01 pm

At first I thought it would need a newer libgtk2, but now hopefully it just needs updates of the programming thingy it uses called "guile", as well as some new database library called libdbi. I'll see if those can build on M11.

Update: got it built and running on 64-bit, thanks to lot of other updates Tim did for KMyMoney. The tutorial even works if you have yelp installed. Now to finish up the 32-bit builds.
The optimist proclaims that we live in the best of all possible worlds, and the pessimist fears this is true.

James Branch Cabell

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 11213
Age: 57
Joined: Fri Dec 15, 2006 8:07 pm

Re: Gnucash 2.4.10

#3 Postby Stevo » Sat May 05, 2012 6:08 pm

Well, here are the 64-bit updated libraries and the 64-bit GnuCash 2.4.10. I am being stumped by a socket test failure on the backport of the 32-bit libguile-1.8. I tried updating libgmp-dev to the Wheezy version, but still got the same failure. I'm going to pass it on up to Tim and see if he gets the same problem to make sure it's not some weird socket problem on my 32-bit install, though I failed on a VM, too.. I see you are running 32-bit, though...

http://ubuntuone.com/0xCqDiS7wbmnGXtks7LtBJ
The optimist proclaims that we live in the best of all possible worlds, and the pessimist fears this is true.

James Branch Cabell

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 15219
Joined: Wed Jul 19, 2006 6:13 am

Re: Gnucash 2.4.10

#4 Postby Jerry3904 » Sat May 05, 2012 7:50 pm

I see you are running 32-bit, though...
Yup. Thanks for trying, though, I really appreciate the effort.
Production: 4.2.0-0.bpo.1-amd64, MX-15 RC1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 3.16-0-4-686-pae. MX-15, AMD C-60 APU, 4 GB

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 11213
Age: 57
Joined: Fri Dec 15, 2006 8:07 pm

Re: Gnucash 2.4.10

#5 Postby Stevo » Sun May 06, 2012 7:58 pm

Good news, Tim found the problem with the 32-bit libguile build, so we will have the new GnuCash in the repo. It had to do with M11 having IPV6 disabled by default, but only affected the 32-bit build for some strange reason.
The optimist proclaims that we live in the best of all possible worlds, and the pessimist fears this is true.

James Branch Cabell

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 15219
Joined: Wed Jul 19, 2006 6:13 am

Re: Gnucash 2.4.10

#6 Postby Jerry3904 » Sun May 06, 2012 8:14 pm

That's weird--but excellent news! Thanks to both of you.
Production: 4.2.0-0.bpo.1-amd64, MX-15 RC1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 3.16-0-4-686-pae. MX-15, AMD C-60 APU, 4 GB

User avatar
uncle mark
Forum Veteran
Forum Veteran
Posts: 5360
Age: 2015
Joined: Sat Nov 11, 2006 10:42 pm

Re: Gnucash 2.4.10

#7 Postby uncle mark » Sun May 06, 2012 8:24 pm

What does this new version offer above 2.4.4?

Just curious, mostly. I use 2.4.4 to keep the books for a little service club I'm involved with.
Desktop: Custom build Asus/AMD/nVidia -- MX-15 KDE, MEPIS 11
Laptop: Acer Aspire 5250 -- MX-15

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 15219
Joined: Wed Jul 19, 2006 6:13 am

Re: Gnucash 2.4.10

#8 Postby Jerry3904 » Sun May 06, 2012 8:44 pm

From the lists on the Home page, it looks like mostly bug fixes. I am hoping that one of these days they improve on the report side, which is pretty sad ATM.
Production: 4.2.0-0.bpo.1-amd64, MX-15 RC1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 3.16-0-4-686-pae. MX-15, AMD C-60 APU, 4 GB

User avatar
Jerry3904
Forum Veteran
Forum Veteran
Posts: 15219
Joined: Wed Jul 19, 2006 6:13 am

Re: Gnucash 2.4.10

#9 Postby Jerry3904 » Tue May 08, 2012 7:23 am

Installed correctly over existing, opened up existing account data, all is well.

Thanks!
Production: 4.2.0-0.bpo.1-amd64, MX-15 RC1, AMD FX-4130 Quad-Core, GeForce GT 630/PCIe/SSE2, 8 GB, Kingston SSD 120 GB and WesternDigital 1TB
Testing: AAO 722: 3.16-0-4-686-pae. MX-15, AMD C-60 APU, 4 GB


Return to “Package Requests / Status”

Who is online

Users browsing this forum: No registered users and 1 guest